#!/usr/bin/perl -w

$INFILE = "../experiments.dtd";
$OUTFILE = "keyword_list.ml";

@keywords = ();
open(IN, $INFILE);
while(<IN>)
{
	chomp;
	if(m/.*<!ELEMENT.*/)
	{
		s/<!ELEMENT\s+(\S+).*/$1/g;
		push(@keywords, $_);
	}
}
close(IN);

open(OUT, ">$OUTFILE");
select(OUT);
print "let keyword_list = \n[\n";
foreach $f (@keywords)
{
	print "\t\"$f\"; \n";
}
print "];;";
close(OUT);
