#!/usr/bin/perl -w

# include mathexpr/mathexpr.dtd in the DTD file in the root directory

$DTD = 'experiments.dtd';
$MATHDTD = 'mathexpr/mathexpr.dtd';

$dtd_tmp = $DTD . ".tmp";
rename($DTD, $dtd_tmp);
open(MATH, $MATHDTD);
open(OLDDTD, $dtd_tmp);
open(OUT, ">$DTD");

select(OUT);
# print entities from mathdtd:
while(<MATH>)
{
	if(/<!ENTITY.*/){print;}
	else {last;}
}
# skip any entity in DTD until %rng:
while(<OLDDTD>)
{
	if(/<!ENTITY % rng .*/) {last;}
}
# print OLDDTD until <!-- Mathematical Expressions: -->:
while(<OLDDTD>)
{
	print;
	if(/<!-- Mathematical Expressions:.*/) {last;}
}
print "\n\n";
# print rest of mathdtd:
while(<MATH>)
{
	print;
}

close(OUT);
close(OLDDTD);
close(MATH);
unlink($dtd_tmp);
