#!/usr/bin/perl -w

# generate new fashdot.wxs from flashdot.wxs.stub (via STDIN -> STDOUT)
# USAGE: make_wxs flashdotversion < flashdot.wxs.stub > fashdot.wxs

# install win32-guidgen and win32-api in ppm for this:
use Win32::Guidgen;

$version = shift;

while(<>)
{
	s/INSERTVERSION/$version/g;
	if(/GENERATEGUID/)
	{
		$guid = guid();
		s/GENERATEGUID/$guid/g;
	}
	print;
}

sub guid
{
	($guid = Win32::Guidgen::create()) =~ s/[{}]//g;
	return $guid;
}